var express = require('express');
var app = express();
var socketIO = require('socket.io');

var bodyParser = require('body-parser');

var text_all = "none";

var num0 = "-";
var name0 = "-";
var id0 = "-";
var date0 = "-";
var press0 = "-";
var hum0 = "-";
var temp0 = "-";
var uv0 = "-";
var amb0 = "-";
var time0 = "-";
var mag0 = "-";
var acc0 = "-";

app.set('port', (process.env.PORT || 5000));
app.set('view engine', 'ejs');

app.use(bodyParser.urlencoded({ extended: false }));
app.use(bodyParser.json());

app.get('/', function(req, res){
  res.render('index', 
	{
	});
});

var io = socketIO.listen(app.listen(app.get('port')));

io.configure(function () {
    io.set("transports", ["xhr-polling"]); 
    io.set("polling duration", 10); 
});

io.sockets.on('connection', function (socket) {
        console.log('Connection：'+ socket.id);
        socket.on('sendData', function(message){
            console.log('Received');
            console.log(message);

            io.sockets.emit('returnData', message);
        });

         socket.on("disconnect", function () {
             console.log('Disconnect：' + socket.id);
  
             io.sockets.emit("message", {"value":"user disconnected"});
         });
});

app.post('/series', function(req, res) {
	console.log('post:/series');

	var obj_num = Number(req.body.num0);

	if(obj_num >=0 && obj_num < 10) {
		text_all = JSON.stringify(
			[
				{
					num0: req.body.num0,
					name0: req.body.name0,
					id0: req.body.id0,
					date0: req.body.date0,
					press0: req.body.press0,
					hum0: req.body.hum0,
					temp0: req.body.temp0,
					uv0: req.body.uv0,
					amb0: req.body.amb0,
					time0: req.body.time0,
					mag0: req.body.mag0,
					acc0: req.body.acc0,
				}
			]
		);
	io.sockets.emit('returnData', text_all);
	}

	res.send("Received\n");
});
